{% extends "base.html" %}
{% block content %}
    <div class="row">
        <dib class="col-md-12">
            <div class="card" tabindex="-1" role="">
                <form class="form" id="change-password" method="POST"
                      action="{{ url_for('user_controller.change_password', _id=_id) }}">
                    <div class="card-header card-header-info">
                        <div class="text-center">
                            <h3 style="color: white; font-weight: bold" class="description text-center">Alterar sua
                                senha</h3>
                        </div>
                    </div>
                    <div class="card-body">
                        <div class="card-group">
                            <div class="form-group col-md-12">
                                <div class="input-group">
                                    <span class="input-group-addon">
                                        <i class="material-icons">lock_outline</i>
                                    </span>
                                    <input type="password" minlength="6" maxlength="10" name="password" id="password"
                                           class="form-control"
                                           placeholder="Nova senha...">
                                </div>
                            </div>

                            <div class="form-group col-md-12">
                                <div class="input-group">
                                    <span class="input-group-addon">
                                        <i class="material-icons">lock_outline</i>
                                    </span>
                                    <input type="password" minlength="6" maxlength="10" id="new_password"
                                           name="confirm_password"
                                           placeholder="Confirmar senha ..."
                                           class="form-control">
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="card-footer justify-content-center">
                        <button type="button" id="send" class="btn btn-success">
                            Alterar
                        </button>
                    </div>
                </form>
            </div>
        </dib>
    </div>
    <script>
        document.addEventListener("DOMContentLoaded", function () {
            $('#send').click(function () {
                let password = $('#password').val();
                let new_password = $('#new_password').val();
                if (password !== new_password) {
                    demo.showNotification('top', 'right', 'As senhas informadas não conferem!', 2);
                    this.value = "";
                    return;
                }
                $('#change-password').submit();
            });
        });
    </script>
{% endblock %}